Skip to main content
GET
/
v1
/
notes
List notes
curl --request GET \
  --url https://public-api.granola.ai/v1/notes \
  --header 'Authorization: Bearer <token>'
{
  "notes": [
    {
      "id": "not_1d3tmYTlCICgjy",
      "object": "note",
      "title": "Quarterly yoghurt budget review",
      "owner": {
        "name": "Oat Benson",
        "email": "oat@granola.ai"
      },
      "created_at": "2026-01-27T15:30:00Z",
      "updated_at": "2026-01-27T16:45:00Z"
    }
  ],
  "hasMore": true,
  "cursor": "eyJjcmVkZW50aWFsfQ=="
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

created_before

Return notes created before this date

Example:

"2026-01-27"

created_after

Return notes created after this date

Example:

"2026-01-27"

updated_after

Return notes updated after this date

Example:

"2026-01-27"

cursor
string

The cursor to continue from

Example:

"eyJjcmVkZW50aWFsfQ=="

page_size
integer
default:10

Maximum number of notes to return per page

Required range: 1 <= x <= 30
Example:

10

Response

List of notes

notes
object[]
required
hasMore
boolean
required

Whether there are more notes to fetch

Example:

true

cursor
string | null
required

The cursor to continue from

Example:

"eyJjcmVkZW50aWFsfQ=="